PowerShell V3 support

Just in case you missed it. With the latest service builds of PrimalScript 2012 and PowerShell Studio 2012 we added support for PowerShell V3.

PS V2 V3

PrimalScript 2012 version switch

 

SPS V2 V3

PowerShell Studio 2012 version switch

 

As you can see it’s pretty easy to switch which version you want to develop for, just press a button.

Note that you must have V3 installed locally or a remote machine with an imported V3 cache for the corresponding button to be active.

Also, on a Server 2012 or Windows 8 machine with the PowerShell V2 engine disabled, the V2 button may be grayed out.

PrimalSense and the PowerShell object browser in each product show and use cmdlets based on your selection.

 

You should have PrimalScript 2012 6.5.134 and PowerShell Studio 2012 3.1.11 or later to see this feature.